---
title: "Initiate scoring in a lab instance"
slug: "initiate-scoring-in-a-lab-instance"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate scoring in a lab instance

Get/scoreactivities

The **ScoreActivities** command causes all scored activities in a particular lab instance to undergo scoring. Please note that this is API command is only necessary in specialized situations. In most cases, scoring is triggered by the student in the lab client and this command is not needed. However, if your students do not use our lab client, ScoreActivities provides a mechanism to trigger scoring.

This command does not return scoring results. To obtain scoring results, use the **[Details](https://docs.skillable.com/apidocs/retrieve-details-about-a-lab-instance)** command.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parameterslabinstanceidinteger (int64) 

The ID of the lab instance.

Example12186142
rescoreAllinteger (int32) 

The ID of the lab instance.

Example12186142

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='1393188f-c7b9-4898-87df-fda96f001d0b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='745ac0b3-5921-45a0-8af7-2fce211c5026'>Example successful response</option>
</select>Example successful response

```json
{
  "Status": 1,
  "Error": null
}
```

object  Statusinteger    

Indicates the status of the API request. 0 = Error 1 = Success

Errorstring   | null  

In the event of an error, this will contain a detailed error message.
